package rtcservicelogic

import (
	"context"

	"im-rtc/internal/svc"
	"im-rtc/pb/rtc"

	"github.com/zeromicro/go-zero/core/logx"
)

type GetSignalInvitationInfoLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewGetSignalInvitationInfoLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetSignalInvitationInfoLogic {
	return &GetSignalInvitationInfoLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *GetSignalInvitationInfoLogic) GetSignalInvitationInfo(in *rtc.GetSignalInvitationInfoReq) (*rtc.GetSignalInvitationInfoResp, error) {
	// todo: add your logic here and delete this line

	return &rtc.GetSignalInvitationInfoResp{}, nil
}
